Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.net.axis
Class XMLResourceProvider

    java.lang.Object
      org.apache.axis.configuration.FileProvider
          org.jboss.net.axis.XMLResourceProvider

All Implemented Interfaces:
  org.apache.axis.EngineConfiguration, org.apache.axis.WSDDEngineConfiguration

public class XMLResourceProvider
extends org.apache.axis.configuration.FileProvider

A `FileProvider` that sits on a given URL and that hosts classloader-aware deployment information.

Version:
  $Revision: 1.11 $
Author:
  Christoph G. Jung

Field Summary
`protected ClassLoader` | `contextLoader` the classloader that is used to interpret the deployment
`protected InputStream` | `is` input stream cache
`protected URL` | `resource` the original resource that we host

Fields inherited from interface org.apache.axis.EngineConfiguration
`PROPERTY_NAME`

Constructor Summary
`XMLResourceProvider(URL resource, ClassLoader loader)` construct a new XmlResourceProvider

Method Summary
`Deployment` | `buildDeployment()` constructs a new deployment
`void` | `configureEngine(org.apache.axis.AxisEngine engine)` configures the given AxisEngine with the given descriptor
`Deployment` | `getMyDeployment()` returns out special deployment
`void` | `setInputStream(InputStream stream)` override input stream setter to sync protected cache
`void` | `writeEngineConfig(org.apache.axis.AxisEngine engine)` not supported, yet.

Methods inherited from class org.apache.axis.configuration.FileProvider
`getDeployedServices, getDeployment, getGlobalOptions, getGlobalRequest, getGlobalResponse, getHandler, getService, getServiceByNamespaceURI, getTransport, getTypeMappingRegistry, setDeployment, setSearchClasspath`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### resource

    protected final URL resource

  the original resource that we host

### is

    protected InputStream is

  input stream cache

### contextLoader

    protected ClassLoader contextLoader

  the classloader that is used to interpret the deployment

Constructor Detail

### XMLResourceProvider

    public XMLResourceProvider(URL resource,
                               ClassLoader loader)

  construct a new XmlResourceProvider

Parameters:
  `resource` - url pointing to the deployment descriptor

Method Detail

### setInputStream

    public void setInputStream(InputStream stream)

  override input stream setter to sync protected cache

### configureEngine

    public void configureEngine(org.apache.axis.AxisEngine engine)
                         throws org.apache.axis.ConfigurationException

  configures the given AxisEngine with the given descriptor

  Throws:
    `org.apache.axis.ConfigurationException`

### buildDeployment

    public Deployment buildDeployment()
                               throws org.apache.axis.ConfigurationException

  constructs a new deployment

  Throws:
    `org.apache.axis.ConfigurationException`

### getMyDeployment

    public Deployment getMyDeployment()

  returns out special deployment

### writeEngineConfig

    public void writeEngineConfig(org.apache.axis.AxisEngine engine)

  not supported, yet. Should we use http-push or what?

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.